
public class Articolo {
	private String descrizione;
	private double prezzoUnitario;
	private int quantit;
	
	public Articolo (String descrizione,
			         double prezzoUnitario){
		this.descrizione=descrizione;
		this.prezzoUnitario=prezzoUnitario;
		quantit=0;
	}
	
	public Articolo (String descrizione,
	         double prezzoUnitario,
	         int quantit){
		this(descrizione, prezzoUnitario);
		this.quantit=quantit;
	}
	
	public String getDescrizione(){
		return descrizione;
	}

	public double getPrezzoUnitario(){
		return prezzoUnitario;
	}
	
	public int getQuantit(){
		return quantit;
	}
	
	public void setDescrizione (String s){
		descrizione=s;
	}

	public void setPrezzoUnitario (double d){
		if (d>=0) prezzoUnitario=d;
	}

	public void setQuantit (int n){
		if (n>=0) quantit=n;
	}

}
