
public class Magazzino {
	private String nome;
	private Articolo[] lista;
	
	public Magazzino (String nome, int n){
		this.nome=nome;
		lista = new Articolo[n];
	}
	
	public void add (Articolo a){
		for (int i=0; i<lista.length; i++){
			if (lista[i]==null){
				lista[i]=a;
				return;
			}
		}
	}
	
	public int contaQuantitAlPiN(int n){
		int conto=0;
		for (Articolo a:lista){
			if (a!=null && a.getQuantit()<=n){
				conto++;
			}
		}
		return conto;
	}
	
	public double valoreTotale(){
		double somma=0;
		for (Articolo a:lista){
			if (a!=null){
				somma += a.getQuantit()*
						a.getPrezzoUnitario();
			}
		}
		return somma;
	}
	
	public boolean noQuantitNulla(){
		for (Articolo a:lista){
			if (a!=null){
				if (a.getQuantit()==0){
					return false;
				}
			}
		}
		return true;
	}

}
