
public class Razionale {
	protected int num;
	protected int den;
	
	public Razionale (int n, int d){
		num=n;
		den=d;
		semplifica();
	}
	
	public Razionale (int n){
		this(n,1);
	}
	
	public int getNumeratore(){
		return num;
	}
	
	public int getDenominatore(){
		return den;
	}
	
	public boolean maggioreDi (int n){
		return num>n*den;
	}
	
	public Razionale somma (Razionale r){
		Razionale s = new Razionale(r.num*den+r.den*num,
				                 r.den*den);
		//s.semplifica();
		return s;
	}
	
	public void semplifica (){
		int absnum = Math.abs(num);
		int absden = Math.abs(den);
		
		int min = (absnum<absden)?absnum:absden;
		int i=2;
		while (i<=min){
			if (num%i==0 && den%i==0){
				num = num/i;
				den = den/i;
			} else {
				i++;
			}
		}
	}
	
	public String toString(){
		String s ="";
		if (num <0 && den>0 || den <0 && num>0) s=s+"-";
		s=s + ((num>=0)?num:-num);
		if (den!=1 && den!=-1){
			s = s + "/";
			s=s + ((den>=0)?den:-den);
		}
		return s;
	}
	
}
